#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D u_texture;
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

void main(void) {
    // Convert to greyscale using NTSC weightings
    vec4 col = texture2D(u_texture, v_texCoord);
    gl_FragColor = vec4(col.r * 0.4, col.g * 0.4, col.b * 0.4, col.a);
}
